<?php

class Inicio extends Controller {

    public function index() {
        $css_template = array('inicio');
        $js_template = array();
        $page_template = 'inicio/index';

        if (isset($_SESSION['login_user']) && (PNL_MENSAJES || PNL_MENSAJES_SISTEMA) && (in_array('admin', $_SESSION['login_user']['PRIVILEGIOS']) || in_array('b', $_SESSION['login_user']['PRIVILEGIOS']) || in_array('c', $_SESSION['login_user']['PRIVILEGIOS']))) {
            try {
                $cliente = new SoapClient(null, array('location' => URL_WEBSERVICE . 'webservices/mensajeria/', 'uri' => 'urn:webservices')); // Llamar al método como si fuera del cliente 
            } catch (Exception $e) {
                //verificar errores
                echo $e->getMessage();
                exit();
            }

            if (PNL_MENSAJES) {
                try {
                    $mensajes_sin_leer = $cliente->countMensajesSinLeer();
                } catch (Exception $e) {
                    //verificar errores
                    echo $e->getMessage();
                    exit();
                }
            }

            if (PNL_MENSAJES_SISTEMA) {
                try {
                    $mensajes_sistema_sin_leer = $cliente->countMensajesSinLeerSistema();
                } catch (Exception $e) {
                    //verificar errores
                    echo $e->getMessage();
                    exit();
                }
            }
        }

        require APP_DIR . '/views/_templates/general.php';
    }

}
